Page MenuHomePhabricator

iBGP: remote-as and router AS can't be the same value
Closed, ResolvedPublicBUG

Description

When configuring a peer iBGP between 2 routers of the same ASN, an error occurs stating that the remote AS can not be equal to the local AS.

user@router# set protocols bgp 11111 neighbor 10.10.10.3 address-family ipv4-unicast nexthop-self
user@router# set protocols bgp 11111 neighbor 10.10.10.3 remote-as '11111'
user@router# commit
[ protocols bgp 11111 neighbor 10.10.10.3 remote-as 11111 ]
remote-as and router AS can't be the same value

[[protocols bgp 11111]] failed
Commit failed
[edit]

Details

Difficulty level
Unknown (require assessment)
Version
1.2.0-rolling+201905220337
Why the issue appeared?
Will be filled on close

Event Timeline

pasik added a subscriber: pasik.May 23 2019, 6:51 AM

I can reproduce this Bug. Please priotize it's critical not to have iBGP

c-po added subscribers: rherold, c-po.Jun 2 2019, 8:33 AM

IMHO this was fixed by @rherold and is merged into the latest rolling. Please verify if the issue still exists.

syncer triaged this task as Normal priority.Jun 2 2019, 2:28 PM
dmbaturin closed this task as Resolved.Jul 10 2019, 6:09 PM
c-po moved this task from Need Triage to Finished on the VyOS 1.3 Equuleus board.Aug 5 2019, 12:22 PM